apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  labels:
    kubevirt.io/vm: hot-plug-test-vm
  name: hot-plug-test-vm
spec:
  runStrategy: Halted
  template:
    metadata:
      labels:
        kubevirt.io/domain: hot-plug-test-vm
        kubevirt.io/vm: hot-plug-test-vm
    spec:
      domain:
        cpu:
          cores: 1
        devices:
          disks:
          - disk:
              bus: virtio
            name: containerdisk
          - disk:
              bus: virtio
            name: cloudinitdisk
          interfaces:
          - masquerade: {}
            name: default
          rng: {}
        machine:
          type: ''
        memory:
          guest: 1Gi
      networks:
      - name: default
        pod: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - containerDisk:
          image: quay.io/openshift-cnv/qe-cnv-tests-fedora:41
        name: containerdisk
      - cloudInitNoCloud:
          userData: |-
            #cloud-config
            password: password
            chpasswd: { expire: False }
        name: cloudinitdisk
